Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.slide.search
Class SearchToken

    java.lang.Object
      org.apache.slide.search.SearchToken

public class SearchToken
extends java.lang.Object

Represents the context of a search requerst.

Version:
  $Revision: 1.6.2.1 $

Method Summary
`static SearchToken` | `createSearchToken(SlideToken token, Content content, Structure structure, int maxDepth, java.lang.String requestUri, Namespace namespace)` SearchToken factory.
`static SearchToken` | `createSearchTokenForTestOnly(int maxDepth, java.lang.String requestUri)` SearchToken factory for test purpose.
`Content` | `getContentHelper()` Method getContentHelper
`int` | `getMaxDepth()` Method getMaxDepth
`Namespace` | `getNamespace()` Method getNamespace
`SlideUri` | `getSlideContext()` Method getSlideContext
`SlideToken` | `getSlideToken()` Method getSlideToken
`Structure` | `getStructureHelper()` Method getStructureHelper

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### createSearchToken

    public static SearchToken createSearchToken(SlideToken token,
                                                Content content,
                                                Structure structure,
                                                int maxDepth,
                                                java.lang.String requestUri,
                                                Namespace namespace)

  SearchToken factory.

  Parameters:
    `token` - the slideToken
    `content` - content helper
    `structure` - structure helper
    `maxDepth` - the maximum search depth as configurede in Domain.xml
  Returns:
    a SearchToken

### createSearchTokenForTestOnly

    public static SearchToken createSearchTokenForTestOnly(int maxDepth,
                                                           java.lang.String requestUri)

  SearchToken factory for test purpose.

  Parameters:
    `maxDepth` - the maximum search depth as configurede in Domain.xml
  Returns:
    a SearchToken

### getNamespace

    public Namespace getNamespace()

  Method getNamespace

  Returns:
    the namespace

### getSlideToken

    public SlideToken getSlideToken()

  Method getSlideToken

  Returns:
    the slideToken

### getContentHelper

    public Content getContentHelper()

  Method getContentHelper

  Returns:
    the contentHelper

### getStructureHelper

    public Structure getStructureHelper()

  Method getStructureHelper

  Returns:
    the structureHelper

### getMaxDepth

    public int getMaxDepth()

  Method getMaxDepth

  Returns:
    max depth as configured in Domain.xml

### getSlideContext

    public SlideUri getSlideContext()

  Method getSlideContext

  Returns:
    a SlideUri

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD